public class Person {
    
    private static int counter = 0;
    
    public static final String DEFAULT_NAME = "UNKNOWN";
    
    private String name; // = "UNKNOWN";
    private int yearBorn; // = 2000;
    
    private boolean married; // = false by default;
    
    private Account account = new Account();
    
    public Person(String name, int yearBorn) {
        this.name = name;
        this.yearBorn = yearBorn;
        counter++;
    }
    
    public Person() {
        this(DEFAULT_NAME, 2000);
        //this.name = "UNKNOWN";
        //this.yearBorn = 2000;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {        
         this.name = name;   
    }
    
    public void writeInfo() {
        //String name;
        System.out.println("I am " + this.name + " and my age is ..." + " counter: " + counter);
    }
    
}